%global pypi_name testrepository

Summary:        A repository of test results
Name:           python-%{pypi_name}
Version:        0.0.20
Release:        7%{?dist}
License:        ASL 2.0
URL:            https://launchpad.net/testrepository
Source0:        https://github.com/testing-cabal/%{pypi_name}/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

%description
Provides a database of test results which can be used to support easy developer workflows,
supporting functionality like isolating failing tests. Testrepository is compatible with any test
suite that can output subunit. This includes any TAP test suite and any pyunit compatible test
suite.

%package -n python3-%{pypi_name}
Summary:        A repository of test results (for Python 3)
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-fixtures python3-subunit python3-testtools python3-extras
Requires:       python3-fixtures python3-subunit python3-testtools python3-extras

%description -n python3-%{pypi_name}
Provides a database of test results which can be used to support easy developer workflows,
supporting functionality like isolating failing tests. Testrepository is compatible with any test
suite that can output subunit. This includes any TAP test suite and any pyunit compatible test
suite.

This package is for Python 3.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/testr{,-%{python3_version}}
ln -s ./testr-%{python3_version} %{buildroot}%{_bindir}/testr

%files -n python3-%{pypi_name}
%license Apache-2.0
%doc README.txt
%{_bindir}/testr
%{_bindir}/testr-%{python3_version}
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.20-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.20-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.20-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.20-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.20-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.20-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 0.0.20-1
- initial build
